import { OnReduxInit } from '../../interfaces';
export interface IReducerType {
    new (...args: any[]): any;
}
export interface IReduxModuleType<S = {}> {
    new (...args: any[]): OnReduxInit<S> | any;
}
export interface IReduxModuleConfig {
    reducers?: IReducerType[];
    stateName?: string;
}
export declare function Redux(config?: IReduxModuleConfig): <T extends IReduxModuleType<{}>>(constructor: T) => {
    new (...args: any[]): {
        [x: string]: any;
        redux: IReduxModuleConfig;
    };
} & T;
